commit:     76cdcdc159ce1ddbde538bc1c6cea0422877ad13
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  7 22:48:38 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Dec  7 22:48:47 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76cdcdc1

app-vim/vimoutliner: version bump and EAPI bump.

Package-Manager: portage-2.3.0

 app-vim/vimoutliner/Manifest                 |  1 +
 app-vim/vimoutliner/vimoutliner-0.3.6.ebuild | 25 +++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/app-vim/vimoutliner/Manifest b/app-vim/vimoutliner/Manifest
index b373fbe..65a3e65 100644
--- a/app-vim/vimoutliner/Manifest
+++ b/app-vim/vimoutliner/Manifest
@@ -1 +1,2 @@
 DIST vimoutliner-0.3.4.tar.gz 52753 SHA256 
9e6e85e67dad1a220eee0031821a93fe27dcd2c3881446049ab8644fc7e100f5 SHA512 
6a48e3fa65e83733e4731dd63d9a9c91e9fb37e47ac726d1938bbecc2c37d8be0d72f45c534c4bd231c9bed352cd7db1e3f754529efc4779a50d25cae27982d1
 WHIRLPOOL 
844f7b13bdd1fcaaf9827ff775c6aae3edf974eb244987e03c89f6f7a13be648419f0d6f3aa7433a605150c661d71de18b081ddd04c592fd6bed2d7cbb16e430
+DIST vimoutliner-0.3.6.zip 249053 SHA256 
54db454651152a3bd88da37b210259fb369c6a44e74824d2085a8e8ea8969c1d SHA512 
20d348ff1b1b9572956fdc56b75e742b25b7deac2637fa6972a1e451edc1f679d8255847a291b84c80866a9ad8a37421524b8eb33565a1bb32ff2b75d0b68dde
 WHIRLPOOL 
87c86930f02162e4819e8ef2feccbbbdfd31629fda9665a6ae64698b89d26663e989238ee9d1e8c360986a05c813807a2906cbe4fd9eb5f422e7b6e79723686b

diff --git a/app-vim/vimoutliner/vimoutliner-0.3.6.ebuild 
b/app-vim/vimoutliner/vimoutliner-0.3.6.ebuild
new file mode 100644
index 00000000..6f92f49
--- /dev/null
+++ b/app-vim/vimoutliner/vimoutliner-0.3.6.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: easy and fast outlining"
+HOMEPAGE="http://www.vimoutliner.org/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.zip -> ${P}.zip"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ia64 ~mips ~ppc ~sparc ~x86"
+IUSE=""
+
+VIM_PLUGIN_HELPFILES="vimoutliner"
+VIM_PLUGIN_MESSAGES="filetype"
+
+src_prepare() {
+       default
+       sed -i -e '/^if exists/,/endif/d' ftdetect/vo_base.vim || die
+       sed -i -e 's/g:vo_modules2load/g:vo_modules_load/' 
vimoutliner/vimoutlinerrc || die
+       rm -v install.sh || die
+       find "${S}" -type f -exec chmod a+r {} \; || die
+}

Reply via email to